import { OnDestroy } from "@angular/core";
import { BehaviorSubject, Observable } from "rxjs";
import { GlobalStateService } from "tango-app-ui-global";
import { HttpClient } from "@angular/common/http";
import * as i0 from "@angular/core";
export declare class EyeTestAuditService implements OnDestroy {
    private http;
    private gs;
    dropDownTrigger: BehaviorSubject<any>;
    eyeTestauditApiUrl: any;
    userApiUrl: any;
    auditAnalyticsApiUrl: any;
    constructor(http: HttpClient, gs: GlobalStateService);
    auditFilterData: any;
    private readonly destroy$;
    ngOnDestroy(): void;
    getEyeTestlist(data: any): Observable<any>;
    getEyeTestTableExport(data: any): Observable<any>;
    getAuditHistory(payload: any): Observable<Object>;
    submitAudit(payload: any): Observable<Object>;
    cancelAuditFile(payload: any): Observable<Object>;
    getAuditdetails(payload: any): Observable<Object>;
    viewAuditHistory(payload: any): Observable<Object>;
    getAuditFile(payload: any): Observable<Object>;
    exportAsExcelFile(json: any[], excelFileName: string): void;
    saveAsExcelFile(buffer: any, fileName: string): void;
    saveAsTemplate(buffer: any, fileName: string): void;
    exportAsCSVFile(json: any[], excelFileName: string, identifier?: any[]): void;
    private saveAsCSVFile;
    getRmList(client: any): Observable<any>;
    getClusters(data: any): Observable<any>;
    getuserList(data: any): Observable<any>;
    getUserConfigList(client: any): Observable<any>;
    updateUserConfig(data: any): Observable<any>;
    getEmailConfigList(client: any): Observable<any>;
    updateEmailConfig(id: any, data: any): Observable<any>;
    getCard(data: any): Observable<any>;
    getConversationDetails(docId: string): Observable<any>;
    getEmailLog(data: any): Observable<any>;
    getEmailLogExport(data: any): Observable<any>;
    private auditData;
    setAuditData(data: any): void;
    getAuditData(): any;
    chatStream(data: any): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EyeTestAuditService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EyeTestAuditService>;
}
